Bug 235204 - lang/basic256: fix build with GCC-based architectures
Summary: lang/basic256: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-25 21:16 UTC by Piotr Kubaj
Modified: 2019-01-27 16:27 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (fernape)


Attachments
patch (444 bytes, patch)
2019-01-25 21:16 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-01-25 21:16:45 UTC
Created attachment 201401 [details]
patch

Add USES=compiler:c++11-lang to fix build on GCC architectures.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Fernando Apesteguía freebsd_committer 2019-01-26 11:41:15 UTC
Hi Piotr,

Thanks for the patch.

Build testing {11.2,12.0}{i386,amd64} and 13-CURRENT i386 in progress
Comment 2 commit-hook freebsd_committer 2019-01-27 16:25:59 UTC
A commit references this bug:

Author: fernape
Date: Sun Jan 27 16:25:53 UTC 2019
New revision: 491366
URL: https://svnweb.freebsd.org/changeset/ports/491366

Log:
  lang/basic256: fix build with GCC-based architectures

  PR:	235204
  Submitted by:	pkubaj@anongoth.pl

Changes:
  head/lang/basic256/Makefile
Comment 3 Fernando Apesteguía freebsd_committer 2019-01-27 16:27:24 UTC
The other issue was resolved after upgrading the qt5-* packages.

Thanks!